Subject: Re: [MOBILE-IP] Latest Challenge draft issued

From: Patrice Calhoun <[email-masked]>
Date: Fri, 22 Oct 1999 10:37:39 -0700

>> >
>> >
>> >Then why does  the text say "If the  MN-RADIUS  extension (see Section
>> >4.3) is present, the foreign   agent SHOULD forward the request to the Home
>> >Agent"
>>
>> Notice the SHOULD, and not MUST. If the foreign agent wants to do something
>> else, it can.
>>
>> > and "If the MN-AAA Authentication extension (see Section 4.2) is present
>> >   in the message, or if an NAI extension is included indicating that
>> >   the mobile node belongs to a different administrative domain, the
>> >   foreign agent may take actions outside the scope of this protocol
>> >   specification to carry out the authentication of the mobile node ".
>> well, what would you expect? That we start listing the RADIUS messages? What
>> is the problem with this sentence?
>>
>
>
>How about this instead of the current paragraph.
>
>If  MN-AAA  Authentication extension  (see  Section  4.2) or MN-RADIUS
>Authentication  extension (see Setion 4.3) is  present in the message,
>or if an  NAI extension  is  included indicating that  the mobile node
>belongs to a different  administrative  domain, the foreign  agent may
>take actions outside the scope of this protocol specification to carry
>out the authentication of the mobile node.
>
Ah! Now I understand your concern. I guess it wasn't quite clear what
the problem was. I am OK with this proposed text.

I guess I'm off to crankin' more drafts, and I thought I was finally done.

Sigh.

PatC

---

From: Gopal Dommety <[email-masked]>
Date: Fri, 22 Oct 1999 10:47:15 -0700

> the problem was. I am OK with this proposed text.

Thanks Pat.   Thanks Pete and Dave.

> I guess I'm off to crankin' more drafts, and I thought I was finally done.

Let us have  flow control mechanism for drafts too :)

Thanks
Gopal